Issue 114090 - ucb configuration changes are broken
Summary: ucb configuration changes are broken
Status: CLOSED FIXED
Alias: None
Product: ucb
Classification: Code
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: Olaf Felka
QA Contact: issues@ucb
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-08-24 14:52 UTC by jsc
Modified: 2017-05-20 09:23 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2010-08-24 14:52:48 UTC
configuration change notifications in the ucb are broken. Depending on changes
in the configuration the ChangeEvent.Base member is not longer a string but an
interface object. The related listener code have to be changed accordingly.

ucb/source/core/ucb.cxx:644++
Comment 1 jsc 2010-08-25 12:14:38 UTC
fixed on cws fwk154
changeset:   271528
Comment 2 mdxonefour 2010-08-26 07:30:40 UTC
CCed: md
Comment 3 jsc 2010-08-26 13:59:33 UTC
please verify
Comment 4 jsc 2010-08-26 14:07:11 UTC
ok tm goes on vacation, of can you please verify this.
Comment 5 Olaf Felka 2010-08-30 14:28:49 UTC
of: Looks good for me in cws fwk154.